# $Revision: 1.10 $, $Date: 2010/05/05 07:36:46 $
Summary:	Settings manager for the Xfce desktop environment
Summary(pl.UTF-8):	Menadżer ustawień dla środowiska Xfce
Name:		xfce4-settings
Version:	4.6.1
Release:	6
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	dc1c8704471c5b0104fa10c30eb60cb6
Patch0:		%{name}-default-icon-theme.patch
Patch1:		%{name}-libxklavier4.patch
Patch2:		%{name}-libxklavier5.patch
Patch3:		%{name}-XI2.patch
URL:		http://www.xfce.org/projects/xfce4-settings/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	exo-devel >= 0.3.100
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 2.12.0
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.6.0
BuildRequires:	xfconf-devel >= %{version}
BuildRequires:	libnotify-devel
BuildRequires:	libxklavier-devel
Requires:	xfconf >= %{version}
Obsoletes:	xfce-mcs-manager
Obsoletes:	xfce-mcs-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The settings manager allows you to customize your Xfce desktop
environment in an easy and intuitive way.

%description -l pl.UTF-8
Menadżer ustawień pozwala w łatwy i intuicyjny sposób dostosowywać
środowisko Xfce.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/xfce4-accessibility-settings
%attr(755,root,root) %{_bindir}/xfce4-appearance-settings
%attr(755,root,root) %{_bindir}/xfce4-display-settings
%attr(755,root,root) %{_bindir}/xfce4-keyboard-settings
%attr(755,root,root) %{_bindir}/xfce4-mouse-settings
%attr(755,root,root) %{_bindir}/xfce4-settings-editor
%attr(755,root,root) %{_bindir}/xfce4-settings-helper
%attr(755,root,root) %{_bindir}/xfce4-settings-manager
%attr(755,root,root) %{_bindir}/xfsettingsd
%{_sysconfdir}/xdg/autostart/xfce4-settings-helper-autostart.desktop
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_desktopdir}/xfce-display-settings.desktop
%{_desktopdir}/xfce-keyboard-settings.desktop
%{_desktopdir}/xfce-mouse-settings.desktop
%{_desktopdir}/xfce-settings-manager.desktop
%{_desktopdir}/xfce-ui-settings.desktop
%{_desktopdir}/xfce4-accessibility-settings.desktop
%{_desktopdir}/xfce4-settings-editor.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-settings.spec,v $
Revision 1.10  2010/05/05 07:36:46  jajcus
- Fix mouse settings with the latest xorg (http://git.xfce.org/xfce/xfce4-settings/commit/?id=22bc922adac9f1d87dc5114ea4f65bc027932baa)
- Release: 6

Revision 1.9  2010/04/30 16:33:18  blues
- rel.5 - libxklavier5 patch from FC

Revision 1.8  2010/04/21 17:09:02  arekm
- release 4

Revision 1.7  2010/04/13 19:11:30  arekm
- release 3

Revision 1.6  2010/01/01 22:33:07  sparky
- BR capitalization

Revision 1.5  2009/09/27 22:08:21  radek
- release 2: -libxklavier4.patch

Revision 1.4  2009/04/27 07:55:35  adamg
- updated to 4.6.1

Revision 1.3  2009/02/28 21:24:29  megabajt
- added -default-icon-theme.patch (changes default icon theme to Tango)

Revision 1.2  2009/02/28 17:55:37  megabajt
- added O: xfce-mcs-manager xfce-mcs-plugins

Revision 1.1  2009/02/28 15:41:47  megabajt
- new

